diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index ab63a06..ec7a3e0 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -22,3 +22,8 @@ add_subdirectory(cmd)
 if (SYNERGY_BUILD_LEGACY_GUI)
 add_subdirectory(gui)
 endif (SYNERGY_BUILD_LEGACY_GUI)
+
+option(BUILD_TESTS "Build tests" OFF)
+if (BUILD_TESTS)
+	add_subdirectory(test)
+endif()
diff --git a/src/test/integtests/CMakeLists.txt b/src/test/integtests/CMakeLists.txt
index f39968a..bfc886c 100644
--- a/src/test/integtests/CMakeLists.txt
+++ b/src/test/integtests/CMakeLists.txt
@@ -68,4 +68,4 @@ endif()
 
 add_executable(integtests ${sources})
 target_link_libraries(integtests
-    arch base client common io ipc mt net platform server synergy gtest gmock ${libs} ${OPENSSL_LIBS})
+    arch base client common io ipc mt net platform server gtest gmock ${libs} ${OPENSSL_LIBS})
diff --git a/src/test/unittests/CMakeLists.txt b/src/test/unittests/CMakeLists.txt
index 54131eb..ef84dba 100644
--- a/src/test/unittests/CMakeLists.txt
+++ b/src/test/unittests/CMakeLists.txt
@@ -68,4 +68,4 @@ endif()
 
 add_executable(unittests ${sources})
 target_link_libraries(unittests
-    arch base client server common io net platform server synergy mt ipc gtest gmock shared ${libs} ${OPENSSL_LIBS})
+    arch base client server common io net platform server mt ipc gtest gmock shared ${libs} ${OPENSSL_LIBS})
